Skip to main content
POST
/
v5
/
taxes
/
userTaxSetup
Update tax profile
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/userTaxSetup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "userTaxSetup": {
    "federalFilingStatus": "SINGLE",
    "stateFilingStatus": "SINGLE",
    "taxState": "DC",
    "taxCountryCode": "<string>",
    "annualW2Income": 10000,
    "tipIncome": 5000,
    "overtimeIncome": 3000,
    "useW2Withholding": true,
    "federalW2Withholding": 1000.51,
    "stateW2Withholding": 1000.51,
    "numExemptions": 1,
    "useHomeOfficeDeduction": true,
    "homeOfficeArea": 250.5,
    "vehicleBusinessPercent": 49.9,
    "useMileageDeduction": false,
    "useUserEstimatedBusinessMileage": true,
    "userEstimatedBusinessMileage": 1000,
    "useUserEstimatedBusinessExpenses": true,
    "userEstimatedBusinessExpenses": 551.76,
    "useUserEstimatedBusinessRevenue": true,
    "userEstimatedBusinessRevenue": 551.76
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

userTaxSetup object

userTaxSetup
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object